#!/bin/bash
#
# Enumerate ISCSI targets located on the shared storage
# Use next environment variables:
# OUTPUT_FD - descriptor of output file
#
# (c) 2013. Parallels IP Holdings GmbH. All rights reserved.
if [ -z "$OUTPUT_FD" ]; then
        echo "OUTPUT_FD environment variable undefined" 1>&2
        exit 1
fi

PSTORAGE_ISCSI_LIB=/usr/libexec/pstorage-iscsi/iscsi_functions
if [ ! -x $PSTORAGE_ISCSI_LIB ] ; then
        echo "Unable find executable $PSTORAGE_ISCSI_LIB" 1>&2
        exit 2
fi
source $PSTORAGE_ISCSI_LIB
[ -f $ISCSI_ETC/config ] && source $ISCSI_ETC/config
pcs_iscsi_list_registered  1>&$OUTPUT_FD

exit 0

