#!/bin/bash
#
# to unregister resource from broken node on schedule stage
# Use next environment variables
# RESOURCE_PATH - path to target directory
# SRC_NODE - address of broken node
# DST_NODE - addres of target node
#
# (c) 2013. Parallels IP Holdings GmbH. All rights reserved.

if [ -z "$RESOURCE_PATH" ]; then
        echo "RESOURCE_PATH environment variable undefined" 1>&2
        exit 1
fi

if [ -z "$SRC_NODE" ]; then
        echo "SRC_NODE environment variable undefined" 1>&2
        exit 1
fi

if [ -z "$DST_NODE" ]; then
        echo "DST_NODE environment variable undefined" 1>&2
        exit 1
fi

if [ ! -d "${RESOURCE_PATH}" ]; then
        echo "Directory '${RESOURCE_PATH}' does not exist" 2>&1
        exit 1;
fi

dd if=/dev/zero of="${RESOURCE_PATH}/control/host" bs=1 count=4 conv=fsync 2>&1
exit $?

